This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 552561

Summary: upgrade f11 -> f12 successful; existing disk boot disabled
Product: [Fedora] Fedora Reporter: Philip Sherman <p.sherman>
Component: anacondaAssignee: Anaconda Maintenance Team <anaconda-maint-list>
Status: CLOSED DUPLICATE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: low    
Version: 12CC: anaconda-maint-list, hdegoede, vanmeeuwen+fedora
Target Milestone: ---   
Target Release: ---   
Hardware: i586   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-01-05 09:38:58 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Philip Sherman 2010-01-05 09:35:13 EST
Description of problem:
Upgraded f11 to f12 on sda9 partition. Specified to install boot loader on sda9. System not bootable after successful upgrade.


Version-Release number of selected component (if applicable):
Fedora 12 DVD downloaded 2010-01-04.

How reproducible:
Unknown 

Steps to Reproduce:
1. 
2.
3.
  
Actual results:
System didn't boot after upgrade.

Expected results:
System should boot from sda2 - the active partition before the upgrade.

Additional info:
System examination results (after upgrade):
1. All primary partitions marked hidden.
2. sda9 marked bootable

Repair procedure:
1. Use utility program to mark sda2 as active.
2. Reboot - works ok.

Additional configuration info:
System: IBM Thinkpad T40
Disk config:
  sda1 - not used
  sda2 - linux /boot for multiple (operational) versions of linux
  sda3 - Win XP
  sda5-8 Multiple extended including an LVM partition
  sda9 - Test linux partition
Comment 1 Hans de Goede 2010-01-05 09:38:58 EST

*** This bug has been marked as a duplicate of bug 533658 ***